Show / Hide Table of Contents

# Class ClientStateAddressResolver

Client state memory address resolver.

##### Inheritance

System.Object
BaseAddressResolver
ClientStateAddressResolver

##### Inherited Members

BaseAddressResolver.DebugScannedValues
BaseAddressResolver.IsResolved
BaseAddressResolver.Setup()
BaseAddressResolver.Setup(SigScanner)
BaseAddressResolver.GetVirtualFunction<T>(IntPtr, Int32, Int32)
BaseAddressResolver.Setup32Bit(SigScanner)
BaseAddressResolver.SetupInternal(SigScanner)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class ClientStateAddressResolver : BaseAddressResolver

### Properties

| Improve this Doc View Source

#### BuddyList

Gets the address of the buddy list.

##### Declaration

    public IntPtr BuddyList { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### ConditionFlags

Gets the address of the condition flag array.

##### Declaration

    public IntPtr ConditionFlags { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### FateTablePtr

Gets the address of a pointer to the fate table.

##### Declaration

    public IntPtr FateTablePtr { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

##### Remarks

This is a static address to a pointer, not the address of the table itself.

| Improve this Doc View Source

#### GamepadPoll

Gets the address of the method which polls the gamepads for data. Called every frame, even when `Enable Gamepad` is off in the settings.

##### Declaration

    public IntPtr GamepadPoll { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### GroupManager

Gets the address of the Group Manager.

##### Declaration

    public IntPtr GroupManager { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### JobGaugeData

Gets the address of job gauge data.

##### Declaration

    public IntPtr JobGaugeData { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### KeyboardState

Gets the address of the keyboard state.

##### Declaration

    public IntPtr KeyboardState { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### KeyboardStateIndexArray

Gets the address of the keyboard state index array which translates the VK enumeration to the key state.

##### Declaration

    public IntPtr KeyboardStateIndexArray { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### LocalContentId

Gets the address of the local content id.

##### Declaration

    public IntPtr LocalContentId { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### ObjectTable

Gets the address of the actor table.

##### Declaration

    public IntPtr ObjectTable { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SetupTerritoryType

Gets the address of the method which sets the territory type.

##### Declaration

    public IntPtr SetupTerritoryType { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### TargetManager

Gets the address of the target manager.

##### Declaration

    public IntPtr TargetManager { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

### Methods

| Improve this Doc View Source

#### Setup64Bit(SigScanner)

Scan for and setup any configured address pointers.

##### Declaration

    protected override void Setup64Bit(SigScanner sig)

##### Parameters

Type | Name | Description
--- | --- | ---
SigScanner | sig | The signature scanner to facilitate setup.

##### Overrides

BaseAddressResolver.Setup64Bit(SigScanner)